[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.FreeAndDelete

Delete a node from the tree and destroy it

## Declaration

Source position: avl_tree.pp line 89

`public procedure TAVLTree.FreeAndDelete(`
`ANode: TAVLTreeNode`
`);`

## Arguments

`ANode` |  | Node which must be deleted

## Description

FreeAndDelete deletes a node from the tree, and destroys the data pointer: The data pointer in the nodes is assumed to be an object, and is freed by calling its destructor.

## See also

TAVLTree.Clear |  | Clears the tree
TAVLTree.Delete |  | Delete a node from the tree
TAVLTree.FreeAndClear |  | Clears the tree and frees nodes

The latest version of this document can be found at lazarus-ccr.sourceforge.net .